// MonoGame - Copyright (C) The MonoGame Team
// This file is subject to the terms and conditions defined in
// file 'LICENSE.txt', which is part of this source code package.

namespace MonoGame.Framework.Utilities
{
    /// <summary>
    /// Type of the underlying game platform.
    /// </summary>
    public enum MonoGamePlatform
    {
        /// <summary>
        /// MonoGame Android platform.
        /// </summary>
        Android,

        /// <summary>
        /// MonoGame iOS platform.
        /// </summary>
        iOS,

        /// <summary>
        /// MonoGame tvOS platform.
        /// </summary>
        tvOS,

        /// <summary>
        /// MonoGame cross platform desktop OpenGL platform.
        /// </summary>
        DesktopGL,

        /// <summary>
        /// MonoGame Win32 Windows platform.
        /// </summary>
        Windows,

        /// <summary>
        /// MonoGame Windows universal platform.
        /// </summary>
        WindowsUniversal,

        /// <summary>
        /// MonoGame WebGL platform.
        /// </summary>
        WebGL,

        /// <summary>
        /// MonoGame PSVita platform.
        /// </summary>
        PSVita,

        /// <summary>
        /// MonoGame Xbox One platform.
        /// </summary>
        XboxOne,

        /// <summary>
        /// MonoGame PlayStation 4 platform.
        /// </summary>
        PlayStation4,

        /// <summary>
        /// MonoGame Nintendo Switch platform.
        /// </summary>
        NintendoSwitch,

        /// <summary>
        /// MonoGame Google Stadia platform.
        /// </summary>
        Stadia
    }
}
